HexFiend: HFLineCountingRepresenter Class Reference

HexFiend

Instance Methods | Properties | List of all members
HFLineCountingRepresenter Class Reference
View

The HFRepresenter used to show the "line number gutter.". More...

Inheritance diagram for HFLineCountingRepresenter:

## Instance Methods
(void) | - cycleLineNumberFormat
| Switches to the next line number format. This is called from the view. More...
Instance Methods inherited from HFRepresenter
(NSUInteger) | - byteGranularity
(id) | - view
(BOOL) | - isViewLoaded
(NSView *) | - NS_RETURNS_RETAINED
(void) | - initializeView
(HFController *) | - controller
(void) | - controllerDidChange:
(NSUInteger) | - bytesPerLine
(NSUInteger) | - bytesPerColumn
(void) | - representerChangedProperties:
(NSUInteger) | - maximumBytesPerLineForViewWidth:
(CGFloat) | - minimumViewWidthForBytesPerLine:
(double) | - maximumAvailableLinesForViewHeight:

## Properties
NSUInteger | minimumDigitCount
| The minimum digit count. The receiver will always ensure it is big enough to display at least the minimum digit count. The default is 2. More...
NSUInteger | digitCount
| The number of digits we are making space for. More...
CGFloat | preferredWidth
| The current width that the HFRepresenter prefers to be laid out with. More...
HFLineNumberFormat | lineNumberFormat
| The line number format. More...
NSInteger | interiorShadowEdge
| The edge (as an NSRectEdge) on which the view draws an interior shadow. -1 means no edge. More...
NSColor * | borderColor
| The border color used at the edges specified by -borderedEdges. More...
NSInteger | borderedEdges
NSColor * | backgroundColor
| The background color. More...
Properties inherited from HFRepresenter
NSPoint | layoutPosition
| The layout position for the receiver. More...

## Additional Inherited Members
Class Methods inherited from HFRepresenter
(NSPoint) | + defaultLayoutPosition

## Detailed Description

HFLineCountingRepresenter is the HFRepresenter used to show the "line number gutter." HFLineCountingRepresenter makes space for a certain number of digits.

## Method Documentation

## § cycleLineNumberFormat()

- (void) cycleLineNumberFormat |  |  |

## Property Documentation

## § minimumDigitCount

- (NSUInteger) minimumDigitCount
| readwritenonatomicassign

## § digitCount

- (NSUInteger) digitCount
| readatomicassign

## § preferredWidth

- (CGFloat) preferredWidth
| readatomicassign

## § lineNumberFormat

- (HFLineNumberFormat) lineNumberFormat
| readwritenonatomicassign

## § interiorShadowEdge

- (NSInteger) interiorShadowEdge
| readwritenonatomicassign

## § borderColor

- (NSColor*) borderColor
| readwritenonatomiccopy

## § borderedEdges

- (NSInteger) borderedEdges
| readwritenonatomicassign

The edges on which borders are drawn. The edge returned by interiorShadowEdge always has a border drawn. The edges are specified by a bitwise or of 1 left shifted by the NSRectEdge values. For example, to draw a border on the min x and max y edges use: (1 << NSMinXEdge) | (1 << NSMaxYEdge). 0 (or -1) specfies no edges.

## § backgroundColor

- (NSColor*) backgroundColor
| readwritenonatomiccopy

The documentation for this class was generated from the following file:

- HFLineCountingRepresenter.h